<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Web Service et LabVIEW</title>

		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/wovalab.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<h1>Web Service</h1>
					<h3>Ouvrir vos applications LabVIEW au monde extérieur</h3>
					<p>
						<small>par <a href="https://www.linkedin.com/in/jourdanolivier">Olivier Jourdan </a></small>
					</p>
				</section>
				<!-- <section>
					<h3>Quelques mots de présentation...</h3>
					<img data-src="content/Badges.png"></br>
					<ul>
					<li>Découverte de LabVIEW en 1999</li>
					<li>17 ans à SAPHIR</li>
					<li>Fondateur de Wovalab</li>
					</ul>
				</section>
				<section>
					<img data-src="content/Wovalab_logo_V_600.png"></br>
					<ul>
					<li>Mise en oeuvre d'architecture logiciel</li>
					<li>Accompagnement d'équipe de développement</li>
					</ul>
				</section> -->
				<section>
					<h3>Web service (n.m)</h3>Ensemble de normes et de protocoles utilisés pour échanger des données entre des applications/systèmes au travers du réseau. Les applications/systèmes peuvent être développées dans des langages différents.
				</section>
				<section>
					<h3>Protocoles/Normes utilisés</h3>
					<ul>
						<li>Architecture REST</li>
						<li>HTTP/HTTPS</li>
						<li>SSL</li>
						<li>XML, JSON</li>
					</ul>
				</section>
				<section>
					<h3>Pour faire quoi ?</h3>
					<ul>
					<li>Echanger des données au travers du réseau (intranet, intertnet)</li>
					<li>Piloter, superviser une application LabVIEW depuis un navigateur web, un smartphone...</li>
					<li>Intégrer LabVIEW dans des systèmes hétérogènes</li>
					<li>...</li>
					</ul>
				</section>
				<section><h3>Démo</h3>Créer son premier web service</section>
				<section>
					<video data-autoplay src="content/EasyWebService.mp4"></video>
				</section>
				<section>
					<h3>Aller plus loin avec la palette web services</h3>
					<img data-src="content/WebServicesPalette.png"></br>
						<ul>
						<li>Récupération de données</li>
						<li>Gestion d'erreur</li>
						<li>Authentification</li>
						<li>...</li>
						</ul>
				</section>
				<section><h3>Démo</h3>Récupération de données/gestion d'erreur</section>
				<section>
					<video data-autoplay src="content/ErrorHandlingInWebService.mp4"></video>
				</section>
				<section>
					<h3>Authentification</h3>
					<img data-src="content/SessionsPalette.png"></br>
						<ul>
						<li>Création d'une session</li>
						<li>Vérification de la session</li>
						<li>Récupéraion des infos de la session</li>
						</ul>
				</section>
				<section>
					<h3>Sécurité</h3>
					<ul>
					<li>Activation SSL sur le serveur</li>
					<li>Nécessite un certificat</li>
					</ul>
				</section>
				<section>
					<h3>Configuraiton du serveur</h3>
					<img class="stretch" data-src="content/WebServerConfiguration.png">
				</section>
				<section><h3>Démo</h3>Mise au point</section>
				<section>
					<video data-autoplay src="content/DebuggingWebServices.mp4"></video>
				</section>
				<section>
					<h3>Publication d'un web service</h3>
					<ul>
					<li>Déployer le web service</li>
					<li>Connaitre l'URL et le port de communication</li>
					</ul>
				</section>
				<section><h3>Publication en mode "debug"</h3></section>
				<section><img data-src="content/WS-PublishFromLabVIEWForDebug.png"></section>
				<section><img data-src="content/WS-ConfigDebugServerPort.png"></section>
				<section><h3>Publication en mode "autonome"</h3></section>
				<section><img data-src="content/WS-PublishFromLabVIEW.png"></section>
				<section><img data-src="content/WS-InstallerForStanAloneWS.png"></section>
				<section><img data-src="content/WS-IEConfig.png"></section>
				<section><h3>Publication en mode "EXE"</h3></section>
				<section><img data-src="content/WS-BuildSpec.png"></section>
				<section>
					<h3>Ressources</h3>
					<ul>
					<li><a href="https://fr.wikipedia.org/wiki/Representational_state_transfer">Rest (wikipedia)</a> </li>
					<li><a href="https://fr.wikipedia.org/wiki/Hypertext_Transfer_Protocol">HTTP (wikipedia)</a></li>
					<li><a href="https://fr.wikipedia.org/wiki/Liste_des_codes_HTTP">Codes d'erreurs HTTP (wikipedia)</a></li>
					<li><a href="https://www.linkedin.com/pulse/mais-o%C3%B9-se-configure-le-port-de-connexion-%C3%A0-un-web-service-jourdan/">Mais où se configure le port de connexion à un web service dans LabVIEW ? (article LinkedIn / Olivier Jourdan / Wovalab)</a></li>
					<li><a href="https://youtu.be/mYCwyktkaVY">Learn how to create powerful web apps with LabVIEW NXG Web Module (vidéo YouTube / Matthias Baudot / StudioBods)</a></li>
					</ul>
				</section>
				<!-- <section><h3>Merci de votre attention</h3></section> -->
			</div>
		</div>

		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				// Add the current slide number to the URL hash so that reloading the
				// page/copying the URL will return you to the same slide
				hash: true,

				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/highlight/highlight.js', async: true }
				]
			});
		</script>
		<a href="https://www.wovalab.com">
			<img style="position: absolute; top: 3%; left: 10%; border: 0;" width="160" height="36" src="https://www.wovalab.com/wp-content/uploads/2018/12/Wovalab_logo_header.png" class="custom-logo" alt="wovalab" itemprop="logo" srcset="https://www.wovalab.com/wp-content/uploads/2018/12/Wovalab_logo_H_RVB_1200.png 2x">
		</a>
	</body>
</html>
